InitialContextFactoryBuilder (Java Platform SE 8 )
Keywords: javax.naming.spi.InitialContextFactoryBuilder interface
Date: 2015-11-18

compact3
javax.naming.spi

## Interface InitialContextFactoryBuilder

-     public interface InitialContextFactoryBuilder

  This interface represents a builder that creates initial context factories.

  The JNDI framework allows for different initial context implementations to be specified at runtime. An initial context is created using an initial context factory. A program can install its own builder that creates initial context factories, thereby overriding the default policies used by the framework, by calling NamingManager.setInitialContextFactoryBuilder(). The InitialContextFactoryBuilder interface must be implemented by such a builder.

  Since:
    1.3
  See Also:
    `InitialContextFactory`, `NamingManager.getInitialContext(java.util.Hashtable<?, ?>)`, `NamingManager.setInitialContextFactoryBuilder(javax.naming.spi.InitialContextFactoryBuilder)`, `NamingManager.hasInitialContextFactoryBuilder()`, `InitialContext`, `InitialDirContext`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InitialContextFactory` | `createInitialContextFactory(Hashtable<?,?> environment)` Creates an initial context factory using the specified environment.

- - ### Method Detail

    - #### createInitialContextFactory

          InitialContextFactory createInitialContextFactory(Hashtable<?,?> environment)
                                                     throws NamingException

      Creates an initial context factory using the specified environment.

      The environment parameter is owned by the caller. The implementation will not modify the object or keep a reference to it, although it may keep a reference to a clone or copy.

      Parameters:
        `environment` - Environment used in creating an initial context implementation. Can be null.
      Returns:
        A non-null initial context factory.
      Throws:
        `NamingException` - If an initial context factory could not be created.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.